Autore Topic: Upgrade o downgrade per VM?  (Letto 640 volte)

Offline Dindya

  • Nuovo arrivato
  • *
  • Post: 45
    • Mostra profilo
Upgrade o downgrade per VM?
« il: 18 Ott 2015, 19:22:01 »
Salve a tutti avrei bisogno di un consiglio, vi spiego il contesto e vi prego di  non rispondermi "perchè hai fatto così" o "io avrei fatto cosà"...sbagliando si impara.


attualmente ho un sito in joomla 2.5 con vistuemart 2.9. Ho cercato in "Italia" l'estensione per collegare il carrello alla banca (spagnola) ma non l'ho trovato cos'l'ho cercato in qualche sito spagnolo ed il venditore mi ha assicurato che sarebbe andata bene per le mie versioni (joomla e VM).
Comprato, scaricato, installato ma nel tab della configurazione della modalità di pagamento non compare il form per l'inserimento dei datti della banca.
Il tecnico del venditore dice che Vm 2,9 è una beta della 3 (e già qua mi girano perchè non mi risulta e poi facendo così si è dimostrato disonesto...vabbè è un'altro discorso) e che il loro plugin non è raccomandato per la versione 2.9 di VM (non me lo poteva dire prima dell'acquisto?) quindi fra le righe mi consiglia di fare l'ugrade a Vm 3 o il downgrade a Vm2.5.


Vi domando, dato che non sono molto esperto:
  • meglio fare l'upgrade a Vm 3? Se si quale versione è compattibile con Joomla 2.5? Ma sopratutto: VM3 è compattibile con Joomla 2.5
  • oppure fare il downgrade a Vm 2.5?
in entrambi i casi è possibile sostituire gli script senza cancellare il db? Non vorrei dover perdere giorni di lavoro per rimettere i miei 50 prodotti.
Migrare a Joomla 3 e vm3 la reputo l'ultima spiaggia e non vorrei nemmeno arrivarci.
Cosa mi consigliate e come posso procedere per fare un bel lavoro senza perdere tempo e dati?
Vi ringrazio fin  da ora.


Offline $Red

  • Team Joomla.it
  • Instancabile
  • *******
  • Post: 5224
  • "Bastard Inside"
    • Mostra profilo
Re:Upgrade o downgrade per VM?
« Risposta #1 il: 19 Ott 2015, 10:18:51 »
Ciao, se leggevi sul sito ufficiale vedevi che è compatibilissimo con j.2.5,
Codice: [Seleziona]
VirtueMart 3 is the latest stable version available. It is compatible with Joomla! 2.5 and Joomla! 3.4. anzi rilasciano anche un pacchetto quickstart di j.2.5 e VM gia integrat, e si sicuramente è meglio un UPGrade
« Ultima modifica: 19 Ott 2015, 10:21:00 da $Red »

 

Host

Torna su